Bug 113861 - Cups dependency on xinetd
Cups dependency on xinetd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-19 11:29 EST by Petr Krištof
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 08:25:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New cups-cpmpat package (2.15 KB, text/plain)
2004-02-01 05:33 EST, Petr Krištof
no flags Details

  None (edit)
Description Petr Krištof 2004-01-19 11:29:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
RHL/FC comes with cups as native printing system.
cupsd is started as standalone daemon.

There is cups-lpd binary for backward compatibility,
what can be started by xinetd super daemon, but it is disabled
by default.

Package dependency cups->xinetd is defined.

Can you split cups to normal cups packages and cups-compat
package containing cups-lpd binary?

It will remove need to install xinetd package on most systems.
Modern applications/daemons usualy runs as standalone.

Thanks


Version-Release number of selected component (if applicable):
cups-1.1.19-13

How reproducible:
Always

Steps to Reproduce:
 
    

Additional info:
Comment 1 Petr Krištof 2004-02-01 05:33:13 EST
Created attachment 97400 [details]
New cups-cpmpat package

Add new cups-compat package.
Comment 2 Tim Waugh 2004-12-07 08:25:06 EST
Package is named differently, but otherwise this is now done in rawhide.

Note You need to log in before you can comment on or make changes to this bug.